Package fr.gouv.vitam.worker.common.utils

# Class SedaUtils

java.lang.Object
fr.gouv.vitam.worker.common.utils.SedaUtils

public class SedaUtils extends Object
SedaUtils to read or split element from SEDA

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `SedaUtils.CheckSedaValidationStatus`
  Check Seda Validation status values

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `INVALID_DATAOBJECT_VERSION`
  `static final String`
  `NB_AU_EXISTING`
  nbAUExisting: number of the AU already existing
  `static final String`
  `VALID_DATAOBJECT_VERSION`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SedaUtils(HandlerIO handlerIO)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SedaUtils.CheckSedaValidationStatus`
  `checkSedaValidation(ItemStatus itemStatus)`
  The method is used to validate SEDA by VITAM SEDA XSD
  `Map<String,Map<String,String>>`
  `checkSupportedDataObjectVersion(WorkerParameters params)`
  check if the version list of the manifest.xml in workspace is valid
  `Map<String,Map<String,String>>`
  `compareVersionList(XMLEventReader eventReader)`
  compare if the version list of manifest.xml is included in or equal to the version list of version.conf
  `long`
  `computeTotalSizeOfObjectsInManifest(WorkerParameters params)`
  Compute the total size of objects listed in the manifest.xml file
  `void`
  `extractXmlNameSpaceAndSaveSedaParams(HandlerIO handlerIO, int sedaIngestParamsRankOutput)`
  `ExtractUriResponse`
  `getAllDigitalObjectUriFromManifest()`
  `SedaUtilInfo`
  `getDataObjectInfo(XMLEventReader evenReader)`
  `Map<String,String>`
  `getMandatoryValues(WorkerParameters params)`
  get Mandatory values from seda
  `SedaIngestParams`
  `getSedaIngestParams()`
  `Map<String,List<DataObjectInfo>>`
  `manifestVersionList(XMLEventReader evenReader)`
  `void`
  `setSedaIngestParams(SedaIngestParams sedaIngestParams)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NB_AU_EXISTING

    public static final String NB_AU_EXISTING
    nbAUExisting: number of the AU already existing
    See Also:
      - Constant Field Values

  - ### INVALID_DATAOBJECT_VERSION

    public static final String INVALID_DATAOBJECT_VERSION
    See Also:
      - Constant Field Values

  - ### VALID_DATAOBJECT_VERSION

    public static final String VALID_DATAOBJECT_VERSION
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SedaUtils

    protected SedaUtils(HandlerIO handlerIO)

- ## Method Details

  - ### getMandatoryValues

    public Map<String,String> getMandatoryValues(WorkerParameters params) throws ProcessingException
    get Mandatory values from seda
    Parameters:
      `params` - parameters of workspace server
    Returns:
      message id
    Throws:
      `ProcessingException` - throw when can't read or extract message id from SEDA

  - ### extractXmlNameSpaceAndSaveSedaParams

    public void extractXmlNameSpaceAndSaveSedaParams(HandlerIO handlerIO, int sedaIngestParamsRankOutput) throws ProcessingException
    Throws:
      `ProcessingException`

  - ### checkSedaValidation

    public SedaUtils.CheckSedaValidationStatus checkSedaValidation(ItemStatus itemStatus)
    The method is used to validate SEDA by VITAM SEDA XSD
    Returns:
      a status representing the validation of the file

  - ### getAllDigitalObjectUriFromManifest

    public ExtractUriResponse getAllDigitalObjectUriFromManifest() throws ProcessingException
    Returns:
      ExtractUriResponse - Object ExtractUriResponse contains listURI, listMessages and value boolean(error).
    Throws:
      `ProcessingException` - - throw when error in execution.

  - ### checkSupportedDataObjectVersion

    public Map<String,Map<String,String>> checkSupportedDataObjectVersion(WorkerParameters params) throws ProcessingException
    check if the version list of the manifest.xml in workspace is valid
    Parameters:
      `params` - worker parameter
    Returns:
      map containing unsupported version
    Throws:
      `ProcessingException` - throws when error occurs

  - ### getDataObjectInfo

    public SedaUtilInfo getDataObjectInfo(XMLEventReader evenReader) throws ProcessingException
    Parameters:
      `evenReader` - of seda
    Returns:
      Seda Info object
    Throws:
      `ProcessingException` - if cannot get BinaryObject info

  - ### manifestVersionList

    public Map<String,List<DataObjectInfo>> manifestVersionList(XMLEventReader evenReader) throws ProcessingException
    Parameters:
      `evenReader` - XMLEventReader for the file manifest.xml
    Returns:
      List of version for file manifest.xml
    Throws:
      `ProcessingException` - when error in execution

  - ### compareVersionList

    public Map<String,Map<String,String>> compareVersionList(XMLEventReader eventReader) throws ProcessingException
    compare if the version list of manifest.xml is included in or equal to the version list of version.conf
    Parameters:
      `eventReader` - xml event reader
    Returns:
      map containing the error code and the unsupported version
    Throws:
      `ProcessingException` - when error in execution

  - ### computeTotalSizeOfObjectsInManifest

    public long computeTotalSizeOfObjectsInManifest(WorkerParameters params) throws ProcessingException
    Compute the total size of objects listed in the manifest.xml file
    Parameters:
      `params` - worker parameters
    Returns:
      the computed size of all BinaryObjects
    Throws:
      `ProcessingException` - when error in getting binary object info

  - ### getSedaIngestParams

    public SedaIngestParams getSedaIngestParams()

  - ### setSedaIngestParams

    public void setSedaIngestParams(SedaIngestParams sedaIngestParams)